export declare enum ENV {
    production = "production",
    development = "development",
    test = "test"
}
export declare enum HOST {
    productionServer = "productionServer",
    developmentServer = "developmentServer",
    testServer = "testServer",
    uatServer = "uatServer"
}
export declare enum MESSAGE_TYPE {
    ERROR = "ERROR",
    WARNING = "WARNING",
    SUCCESS = "SUCCESS",
    INFO = "INFO"
}
export declare enum SQL_OPERATION {
    INSERT = "INSERT",
    UPDATE = "UPDATE",
    DELETE = "DELETE",
    RESTORE = "RESTORE"
}
export declare enum PERMISSION {
    ADMINISTRATOR = "ADMINISTRATOR",
    USER = "USER"
}
export declare enum USER_STATE {
    ACTIVE = "ACTIVE",
    PENDING_INVITATION = "PENDING_INVITATION"
}
export declare const ENVS: ENV[];
export declare const HOSTS: HOST[];
export declare const MESSAGE_TYPES: MESSAGE_TYPE[];
export declare const SQL_OPERATIONS: SQL_OPERATION[];
export declare const PERMISSIONS: PERMISSION[];
export declare const USER_STATES: USER_STATE[];
export declare const CUSTOM_LOGGING_SCHEMA = "custom_logging";
