"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.testMainDB = exports.test = exports.testDatabaseWorkerName = exports.testDatabaseName = void 0;
const url = 'postgresql://postgres:root@127.0.0.1:5432/user_repository_test';
const [baseDB, ...base] = url.split('/').reverse();
exports.testDatabaseName = baseDB;
exports.testDatabaseWorkerName = `${baseDB}_${process.pid}`;
exports.test = {
    url: `${url}_${process.pid}`,
    options: {
        minifyAliases: true,
        logging: false,
        pool: {
            max: 4
        }
    }
};
exports.testMainDB = {
    ...exports.test,
    baseUrl: base.reverse().join('/'),
    url
};
