export enum ENV {
	production = 'production',
	development = 'development',
	test = 'test'
}

export enum HOST {
	productionServer = 'productionServer',
	developmentServer = 'developmentServer',
	testServer = 'testServer',
	uatServer = 'uatServer'
}

export enum MESSAGE_TYPE {
	ERROR = 'ERROR',
	WARNING = 'WARNING',
	SUCCESS = 'SUCCESS',
	INFO = 'INFO'
}

export enum SQL_OPERATION {
	INSERT = 'INSERT',
	UPDATE = 'UPDATE',
	DELETE = 'DELETE',
	RESTORE = 'RESTORE'
}

export enum PERMISSION {
	ADMINISTRATOR = 'ADMINISTRATOR',
	USER = 'USER'
}

export enum USER_STATE {
	ACTIVE = 'ACTIVE',
	PENDING_INVITATION = 'PENDING_INVITATION'
}

export const ENVS = Object.values(ENV)
export const HOSTS = Object.values(HOST)
export const MESSAGE_TYPES = Object.values(MESSAGE_TYPE)
export const SQL_OPERATIONS = Object.values(SQL_OPERATION)
export const PERMISSIONS = Object.values(PERMISSION)
export const USER_STATES = Object.values(USER_STATE)

export const CUSTOM_LOGGING_SCHEMA = 'custom_logging'
