/* eslint-disable import/no-cycle */
import { Sequelize } from 'sequelize'

import defineUUIDUser from './uuid-user'
import defineIntUser from './int-user'

const modelsBuilder = (instance: Sequelize) => ({
	UserUUID: defineUUIDUser(instance, 'userUuid'),
	UserInt: defineIntUser(instance, 'userInt')
})

// eslint-disable-next-line import/prefer-default-export
export { modelsBuilder }
