"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CUSTOM_LOGGING_SCHEMA = exports.USER_STATES = exports.PERMISSIONS = exports.SQL_OPERATIONS = exports.MESSAGE_TYPES = exports.HOSTS = exports.ENVS = exports.USER_STATE = exports.PERMISSION = exports.SQL_OPERATION = exports.MESSAGE_TYPE = exports.HOST = exports.ENV = void 0;
var ENV;
(function (ENV) {
    ENV["production"] = "production";
    ENV["development"] = "development";
    ENV["test"] = "test";
})(ENV = exports.ENV || (exports.ENV = {}));
var HOST;
(function (HOST) {
    HOST["productionServer"] = "productionServer";
    HOST["developmentServer"] = "developmentServer";
    HOST["testServer"] = "testServer";
    HOST["uatServer"] = "uatServer";
})(HOST = exports.HOST || (exports.HOST = {}));
var MESSAGE_TYPE;
(function (MESSAGE_TYPE) {
    MESSAGE_TYPE["ERROR"] = "ERROR";
    MESSAGE_TYPE["WARNING"] = "WARNING";
    MESSAGE_TYPE["SUCCESS"] = "SUCCESS";
    MESSAGE_TYPE["INFO"] = "INFO";
})(MESSAGE_TYPE = exports.MESSAGE_TYPE || (exports.MESSAGE_TYPE = {}));
var SQL_OPERATION;
(function (SQL_OPERATION) {
    SQL_OPERATION["INSERT"] = "INSERT";
    SQL_OPERATION["UPDATE"] = "UPDATE";
    SQL_OPERATION["DELETE"] = "DELETE";
    SQL_OPERATION["RESTORE"] = "RESTORE";
})(SQL_OPERATION = exports.SQL_OPERATION || (exports.SQL_OPERATION = {}));
var PERMISSION;
(function (PERMISSION) {
    PERMISSION["ADMINISTRATOR"] = "ADMINISTRATOR";
    PERMISSION["USER"] = "USER";
})(PERMISSION = exports.PERMISSION || (exports.PERMISSION = {}));
var USER_STATE;
(function (USER_STATE) {
    USER_STATE["ACTIVE"] = "ACTIVE";
    USER_STATE["PENDING_INVITATION"] = "PENDING_INVITATION";
})(USER_STATE = exports.USER_STATE || (exports.USER_STATE = {}));
exports.ENVS = Object.values(ENV);
exports.HOSTS = Object.values(HOST);
exports.MESSAGE_TYPES = Object.values(MESSAGE_TYPE);
exports.SQL_OPERATIONS = Object.values(SQL_OPERATION);
exports.PERMISSIONS = Object.values(PERMISSION);
exports.USER_STATES = Object.values(USER_STATE);
exports.CUSTOM_LOGGING_SCHEMA = 'custom_logging';
