/**
 * Returns uglyfied raw SQL query
 * @param {string} formattedRawSqlQuery Formatted raw SQL query (single/multi line comments, tabs, new lines)
 * @returns {string} Uglyfied raw SQL query (without single/multi line comments, tabs, new lines)
 */
export declare const uglyfyRawSqlQuery: (formattedRawSqlQuery: string | null) => string | undefined;
/**
 * Creates slug form from value
 * @param {string} value
 * @returns {string} slug form if value is provided, else empty string
 */
export declare function createSlug(value: string): string;
