import { Sequelize } from 'sequelize';
import { IRestoreHookFunctions } from '../../types/models';
import { UuidUserModel } from './uuid-user';
import { IntUserModel } from './int-user';
declare const sequelize: Sequelize & IRestoreHookFunctions;
declare const models: {
    UserUUID: typeof UuidUserModel;
    UserInt: typeof IntUserModel;
};
type Models = typeof models;
export { models };
export type { Models };
export default sequelize;
