import { BaseUserModel, BaseUserModelAttributes } from './models/baseUser'
import { BigIntUserModelAttributes, BigIntUserModel, BigIntUserModelOptions } from './models/user-int'
import { UUIDUserModelAttributes, UUIDUserModel, UUIDUserModelOptions } from './models/user-uuid'
import { UserRepository } from './userRepository'

// eslint-disable-next-line import/prefer-default-export
export {
	UserRepository,
	// Base User Model
	BaseUserModel,
	BaseUserModelAttributes,
	// Big Int User Model
	BigIntUserModel,
	BigIntUserModelAttributes,
	BigIntUserModelOptions,
	// UUID User Model
	UUIDUserModel,
	UUIDUserModelAttributes,
	UUIDUserModelOptions
}
